WordPressのプラグインが更新できなくなったのをなんとかしたメモ

更新ができなくなったのは、EWWW Image Optimizerっていうアップロードした画像をいい感じに圧縮してくれるやつで、表示されたエラーは

cURL error 77: Problem with the SSL CA cert (path? access rights?)

ま、ブラウザから直接DLはできたので、ローカル(サーバー)の証明書がおかしくなってるようなので、ちょいとぐぐる。

で、以下のコマンドで解決。

curl http://curl.haxx.se/ca/cacert.pem -o /etc/pki/tls/certs/ca-bundle.crt

今回はたまたま、WPが動いている環境で発生しましたが、他の環境でも発生しそうなのでメモ。
ちなみに何が原因か特定してないけど、最近SSL周りで変更したのは、opensslの更新くらいかな?

返信を残す

メールアドレスが公開されることはありません。

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください